/*
 * deviced
 *
 * Copyright (c) 2014 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __AUTOTEST_CONFIG_H__
#define __AUTOTEST_CONFIG_H__

#include <stdbool.h>

void test_config_load(const char *profile);
void test_config_unload();
bool test_config_is_supported(const char *module);


#endif /* __AUTOTEST_CONFIG_H__ */
